> ## Documentation Index > Fetch the complete documentation index at: https://help.commbox.io/llms.txt > Use this file to discover all available pages before exploring further. # Create a Tag > This API creates a new tag, where the name/content of the tag is part of the body parameters.
Select the desired type of tag (Optional. If no type is entered, regular Tag will be created)
Tag = 1
Goal = 2
Miss = 3

If you want this new tag to be part of a group of tags, you’ll need to place the group Id in the TagGroupId field.
Enter 0 to have a free-standing tag.

Tags can be attached to a conversation (object), to a customer (user), or to a specific comment or a reply (child). Set the tag’s attachment options in the boolean parameters (true/false)

The API returns Tag Id. ## OpenAPI ````json POST /tags { "openapi": "3.0.3", "info": { "title": "CommBox API", "x-logo": { "url": "https://www.commbox.io/logo/commbox_logo_large.png" }, "version": "2.07", "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/", "contact": { "name": "commbox", "url": "https://www.commbox.io", "email": "contactus@commbox.io" } }, "servers": [ { "url": "https://api.commbox.io/", "description": "Production server" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Core", "description": "

Systemwide verification" }, { "name": "Objects", "description": "

Objects are conversations between the AI Agent or the human agent and the customers, where each segment of the conversation is referred to as a Child. Every conversation must have a designated Stream – a communication channel such as Chat, Email, Text/SMS, etc., through which the conversation takes place.
The Object APIs category concentrates on a specific conversation, where the Stream is part of the identifying parameters. In contrast, the Streams APIs category, the Channel is the focal point of the request, and the objects and users are the filtering aspects." }, { "name": "Media", "description": "Converting media files to Base64" }, { "name": "AI Services", "description": "APIs that provide AI capabilities by the platform. " }, { "name": "Streams", "description": "

Streams are communication channels used in CommBox, such as Chat, WhatsApp, SMS/Text, etc. In the Streams category of APIs, the channel is the focal point of the request, and the objects and users are the filtering aspects. See the Enums Section for available channels and their CommBox code." }, { "name": "Tags", "description": "

Tags are a classification tool for summarizing aspects of the conversation or the user. It can mark the conversation to indicate a new sale or identify a customer as not interested in the product. To help manage the Tags assets, Tags can be grouped with a common identifier." }, { "name": "SMS", "description": "

Sending customers **SMS messages** (Texting) requires an initial opt-in step, which is not offered by CommBox and is the sole responsibility of the sending entity (Business)." }, { "name": "WhatsApp", "description": "

CommBox facilitates activities in **WABA** for the clients. Our platform helps clients create new templates and manage existing ones.

**Opt-in for WhatsApp**
Before sending WhatsApp messages to someone, you must first receive opt-in permission confirming that they wish to receive future messages from you on WhatsApp. This can be done using any channel your business uses to communicate with people — your website, app, email, retail location, etc.